#include <stdint.h>
#include <unistd.h>

#include "SDL.h"
#include "lvgl.h"

void ui_demo_init(void);

void hal_init(void);

int main(int argc, char *argv[]) {
    lv_init();

    hal_init();

    ui_demo_init();

    while (1) {
        lv_timer_handler();
        usleep(5 * 1000);
    }

    return 0;
}
